Bug 1158757 - allow all levels within engine.log appenders
Summary: allow all levels within engine.log appenders
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.1
Assignee: Alon Bar-Lev
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 07:10 UTC by Alon Bar-Lev
Modified: 2016-02-10 19:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 16:06:10 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 34628 0 master MERGED services: ovirt-engine: allow all levels within engine.log appenders Never
oVirt gerrit 34632 0 ovirt-engine-3.5 MERGED services: ovirt-engine: allow all levels within engine.log appenders Never

Description Alon Bar-Lev 2014-10-30 07:10:10 UTC
this reduces the changes required by user when enabling debug for
specific loggers, reduce confusion and chance for error.
    
we should have been able to use dynamic log in 3.5 but did not provide
that, so until then make the log enable sequence simpler.

Comment 1 Jiri Belka 2014-11-20 09:58:23 UTC
ok, rhevm-backend-3.5.0-0.20.el6ev.noarch

i see engine debug level log msgs while changed only one line:

--- ovirt-engine.xml.in.orig    2014-11-20 10:54:01.895681646 +0100
+++ ovirt-engine.xml.in 2014-11-20 10:57:17.213607733 +0100
@@ -117,7 +117,7 @@
         </handlers>
       </logger>
       <logger category="org.ovirt.engine.core.bll">
-        <level name="INFO"/>
+        <level name="DEBUG"/>
       </logger>
       <logger category="org.ovirt.engine.core.dal.dbbroker.PostgresDbEngineDialect\$PostgresJdbcTemplate">

Comment 2 Sandro Bonazzola 2015-01-21 16:06:10 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.